VAMPS(1)

NAME
vamps - Tool to recompress and modify the structure of a DVD

SYNOPSIS
vamps [--evaporate|-e factor] [--ps-evaporate|-E factor] [--audio|-a a-streama-stream...] [--subpictures|-s s-stream,s-stream,...] [--verbose|-v] [--inject|-i injections-file] [--preserve|-p] [--ps-size|-S input-bytes] <input>output ...

DESCRIPTION
Vamps was written to make cheap backups of DVDs under Linux.

Vamps builds a wrapper around the requantizer to extract the elementary MPEG2 video stream from the DVD's program stream, feed it through the requantizer and finally re-pack it into the program stream again. Besides this, Vamps allows one to select audio and subtitle streams that should be copied into the output stream. This gives another small gain of disk space, since unwanted streams may be discarded.

Vamps is only a very basic, but nevertheless essential tool to transcode DVD videos to a smaller size. Vamps does not need to write temporary data files, which is a major advantage. Vamps is very fast. The downside is, that Vamps is not capable of making DVD backups on its own.

OPTIONS
For options that require an argument, each duplication will override the previous argument value.

--evaporate, -e factor
    factor by which the embedded elementary video stream will approximately be shrunk (>=1.0)

--ps-evaporate, -E factor
    factor by which the whole program stream will approximately be shrunk (>=1.0) -e and -E are mutually exclusive.

--audio, -a a-streama-stream...
    select audio streams to keep. First stream is 1.

--subpictures, -s s-streams-stream...
    select subtitle streams to keep. First stream is 1.

--verbose, -v
    Increase verbosity level by one.

--inject, -i injections-file
    Load internal variable settings from file to seamlessly continue previous run. Write internal variables to file at program termination. If file does not exist, it is created. Useful to shrink several parts (chapters, titles) to a single target DVD.

--preserve, -p
    Preserve numbering of audio and subtitle streams. If called without this option, Vamps renumbers the streams to ascending numbers starting with 1. This option disables renumbering so the original stream numbers are kept.

--ps-size, -S input-bytes
    If the input for Vamps does not come from a file (e.g. a pipe), the size of the full input program stream *MUST* be supplied in the command line. Size is in bytes.

AUTHORS

This manual page was written by Claudio Moratti <maxer@knio.it> for the Debian system (but may be used by others). It was slightly modified by Rogerio Brito <rbrito@ime.usp.br>. This document is released under the terms of the GNU General Public License, Version 2 and later.